# Gimp.Config.serialize_to_stream

    @accepts(Gimp.Config, Gio.OutputStream, unicode, unicode, gpointer)
    @returns(bool)
    def serialize_to_stream(self, output, header, footer, data):
        # Python wrapper for gimp_config_serialize_to_stream()

Serializes the object properties of self to the stream specified by output.

Since 2.10

self

  an object that implements [iface@ConfigInterface].

output

  the Gio.OutputStream to write the configuration to.

header

  optional file header (must be ASCII only)

footer

  optional file footer (must be ASCII only)

data

  user data passed to the serialize implementation.

Returns